# main package is archful to run tests everywhere but produces noarch packages
%global debug_package %{nil}
%bcond_without check
%global pname certvalidator

%global desc \
A Python library for validating X.509 certificates or paths. Supports\
various options, including: validation at a specific moment in time,\
whitelisting and revocation checks.

Name: python-%{pname}
Version: 0.11.1
Release: 1%{?dist}
Summary: Validate X.509 certificates and paths
License: MIT
URL: https://github.com/wbond/certvalidator
Source0: %{url}/archive/%{version}/%{pname}-%{version}.tar.gz

%description
%{desc}

%package -n python3-%{pname}
Summary: %{summary}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%if %{with check}
BuildRequires: python3-asn1crypto
BuildRequires: python3-oscrypto
BuildRequires: python3-pytest
%endif
BuildArch: noarch

%description -n python3-%{pname}
%{desc}

%prep
%autosetup -p1 -n %{pname}-%{version}

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
PYTHONDONTWRITEBYTECODE=1 \
PATH=%{buildroot}/usr/bin:${PATH} \
PYTHONPATH=%{buildroot}%{python3_sitearch}:%{buildroot}%{python3_sitelib} \
python3 -m unittest \
    tests/test_certificate_validator.py \
    tests/test_ocsp_client.py \
    tests/test_registry.py \
    tests/test_validate.py

%endif

%files -n python3-%{pname}
%license LICENSE
%doc changelog.md readme.md
%{python3_sitelib}/%{pname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pname}

%changelog
* Fri May 06 2022 Dominik Mierzejewski <dominik@greysector.net> 0.11.1-1
- initial build
